Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038769
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2018-06-15 14:352018-06-26 13:47
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revision8fe325ebf590
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038769: "Suspense balancing" account used when invoice's total is zero and negative prepayment exists

DescriptionIn case a negative order is prepaid and invoiced in an invoice with total amount 0.00, then Suspense Balancing account is used when posting the invoice
Steps To Reproduce0. Access Vendor Accounting tab of Business Partner "Bebidas Alegres" and ensure that Prepayment account is defined for both schemas
1. Ensure that Conversion Rate is defined between EUR and USD
2. Register Purchase Order for Bebidas Alegres bp. Add any line setting negative qty and process
3. Run "Add payment" process to register prepayment for the order
4. Register Purchase Invoice for Bebidas Alegres bp. Run "Create lines from" and select previous order. Add another invoice line manually selecting same product and setting qty=1, to ensure that total invoice's amount is 0.00
5. Process invoice and post it. Realize that Suspense Balancing account is used when it should not
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038487 closedAtulOpenbravo "Suspense balancing" account used when invoice's total is zero and prepayment exists 
related to defect 0039415 closedAtulOpenbravo Payment Plan should not be removed from a sales invoice of 0 that includes a prepaid order 

-  Notes
(0105315)
AtulOpenbravo (developer)
2018-06-21 17:58
edited on: 2018-06-21 18:02

Test Plan

- Access Vendor Accounting tab of Business Partner "Bebidas Alegres" and ensure that Prepayment account is defined for both schemas.
- Ensure that Conversion Rate is defined between EUR and USD. (1 EUR = 1.23 USD)
- Register Purchase Order for Bebidas Alegres bp. Add any line setting negative qty and process the order.
  Product: Cerveza Ale 0,5L
  Ordered Qty: 10
  Unit Price: 1.36
  Tax: Adquisiciones IVA 21%
  Line Net Amount: 13.60
  Tax Amount: 2.86
  Total Gross Amount:16.46
- Run "Add payment" process to register prepayment for the order.
- Register Purchase Invoice for Bebidas Alegres bp. Run "Create lines from" and select previous order.
- Add another invoice line manually selecting same product and setting qty=-10, to ensure that total invoice's amount is 0.00
- Process invoice and post it.
- Realize that posting is correct as below:-

General Ledger

A. F&B Espana, S.A US/A/EURO

Account 40000 - Proveedores (euros) a corto plazo DEBIT 16.46
Account 60000 - Compras de mercaderías DEBIT 13.60
Account 40700 - Anticipos a proveedores CREDIT 16.46
Account 60000 - Compras de mercaderías CREDIT 13.60

B. F&B Intenational Group US/A/US Dollar

Account 2110 - Accounts Payables DEBIT 20.25
Account 5360 - Product Expense DEBIT 16.73
Account 1410 - Vendor prepayment CREDIT 20.25
Account 5360 - Product Expense CREDIT 16.73

(0105320)
AtulOpenbravo (developer)
2018-06-21 18:07

Test Plan

- Access Vendor Accounting tab of Business Partner "Bebidas Alegres" and ensure that Prepayment account is defined for both schemas.
- Ensure that Conversion Rate is defined between EUR and USD. (1 EUR = 1.23 USD)
- Register Purchase Order for Bebidas Alegres bp. Add any line setting negative qty and process the order.
  Product: Cerveza Ale 0,5L
  Ordered Qty: -10
  Unit Price: 1.36
  Tax: Adquisiciones IVA 21%
  Line Net Amount: -13.60
  Tax Amount: -2.86
  Total Gross Amount:-16.46
- Run "Add payment" process to register prepayment for the order.
- Register Purchase Invoice for Bebidas Alegres bp. Run "Create lines from" and select previous order.
- Add another invoice line manually selecting same product and setting qty=10, to ensure that total invoice's amount is 0.00.
- Process invoice and post it.
- Realize that posting is correct as below:-

General Ledger

A. F&B Espana, S.A US/A/EURO

Account 40700 - Anticipos a proveedores DEBIT 16.46
Account 60000 - Compras de mercaderías DEBIT 13.60
Account 40000 - Proveedores (euros) a corto plazo CREDIT 16.46
Account 60000 - Compras de mercaderías CREDIT 13.60

B. F&B Intenational Group US/A/US Dollar

Account 1410 - Vendor prepayment DEBIT 20.25
Account 5360 - Product Expense DEBIT 16.73
Account 2110 - Accounts Payables CREDIT 20.25
Account 5360 - Product Expense CREDIT 16.73
(0105329)
hgbot (developer)
2018-06-22 10:17

Repository: erp/devel/pi
Changeset: 8fe325ebf59054b15bc0e28cbbecde879bdf4c88
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Fri Jun 22 01:59:44 2018 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/8fe325ebf59054b15bc0e28cbbecde879bdf4c88 [^]

Fixes Issue 0038769: "Suspense balancing" account used when
invoice's total is zero and negative prepayment exists

Difference amount in between gross amount and prepayment amount
should have proper sign. In case of negative prepayment & 0 gross
amount, it was wrongly set negative value instead of positive value.

---
M src/org/openbravo/erpCommon/ad_forms/DocInvoice.java
---
(0105330)
Sandrahuguet (developer)
2018-06-22 10:17

Code review + testing OK
(0105450)
hudsonbot (developer)
2018-06-26 13:47

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f403f60ff29 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-06-15 14:35 maite New Issue
2018-06-15 14:35 maite Assigned To => Triage Finance
2018-06-15 14:35 maite Modules => Core
2018-06-15 14:35 maite Triggers an Emergency Pack => No
2018-06-15 14:35 maite Issue Monitored: networkb
2018-06-15 14:35 maite Relationship added related to 0038487
2018-06-19 12:41 dmiguelez Assigned To Triage Finance => AtulOpenbravo
2018-06-21 04:00 AtulOpenbravo Status new => scheduled
2018-06-21 17:58 AtulOpenbravo Note Added: 0105315
2018-06-21 18:02 AtulOpenbravo Note Edited: 0105315 View Revisions
2018-06-21 18:07 AtulOpenbravo Note Added: 0105320
2018-06-22 10:17 hgbot Checkin
2018-06-22 10:17 hgbot Note Added: 0105329
2018-06-22 10:17 hgbot Status scheduled => resolved
2018-06-22 10:17 hgbot Resolution open => fixed
2018-06-22 10:17 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8fe325ebf59054b15bc0e28cbbecde879bdf4c88 [^]
2018-06-22 10:17 Sandrahuguet Review Assigned To => Sandrahuguet
2018-06-22 10:17 Sandrahuguet Note Added: 0105330
2018-06-22 10:17 Sandrahuguet Status resolved => closed
2018-06-22 10:17 Sandrahuguet Fixed in Version => 3.0PR18Q3
2018-06-26 13:47 hudsonbot Checkin
2018-06-26 13:47 hudsonbot Note Added: 0105450
2018-10-05 12:08 ngarcia Relationship added related to 0039415


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker